Bug 494980 - setup-ds-admin.pl -u and silent setup complain about ServerIpAddress
setup-ds-admin.pl -u and silent setup complain about ServerIpAddress
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Install/Uninstall (Show other bugs)
1.2.0
All Linux
high Severity high
: ---
: ---
Assigned To: Rich Megginson
Chandrasekar Kannan
:
Depends On:
Blocks: 249650 FDS1.2.0
  Show dependency treegraph
 
Reported: 2009-04-08 17:27 EDT by Rich Megginson
Modified: 2015-01-04 18:37 EST (History)
4 users (show)

See Also:
Fixed In Version: 8.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-29 19:11:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (6.96 KB, patch)
2009-04-08 17:28 EDT, Rich Megginson
no flags Details | Diff
cvs commit log (409 bytes, text/plain)
2009-04-08 18:48 EDT, Rich Megginson
no flags Details

  None (edit)
Description Rich Megginson 2009-04-08 17:27:01 EDT
Running setup-ds-admin.pl -u or silent setup (-s -f file.inf) report the following errors:

The map value 'ServerIpAddress' for key 'as_addr' did not map to a value in any of the given information files
Comment 1 Rich Megginson 2009-04-08 17:28:13 EDT
Created attachment 338807 [details]
patch
Comment 2 Rich Megginson 2009-04-08 18:48:37 EDT
Created attachment 338820 [details]
cvs commit log

Reviewed by: nkinder (Thanks!)
Fix Description: We were only setting the default ServerIpAddress in the regular interactive mode, not in -u or silent mode.  In addition, I found several other parameters that had the same problem.  I borrowed code from the interactive mode code to set the default values.
Platforms tested: RHEL5
Flag Day: no
Doc impact: no
Comment 3 Fedora Update System 2009-04-08 21:37:41 EDT
fedora-ds-admin-1.1.7-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/fedora-ds-admin-1.1.7-3.fc10
Comment 4 Fedora Update System 2009-04-08 21:40:21 EDT
fedora-ds-admin-1.1.7-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/fedora-ds-admin-1.1.7-3.fc9
Comment 5 Fedora Update System 2009-04-09 12:09:16 EDT
fedora-ds-admin-1.1.7-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-04-09 12:12:15 EDT
fedora-ds-admin-1.1.7-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Yi Zhang 2009-04-13 18:52:38 EDT
test 1 :
ds.ini has this value: (the real ipaddress of test host is:10.16.98.123)
[admin]
SysUser=                 nobody
Port=                    9830
ServerIpAddress=         192.168.122.132


result:
>[root@mv64d-vm ~]# setup-ds-admin.pl -s -f ./ds.ini 
Creating directory server . . .
Your new DS instance 'mv64d-vm' was successfully created.
Creating the configuration directory server . . .
Beginning Admin Server creation . . .
Creating Admin Server files and directories . . .
Updating adm.conf . . .
Updating admpw . . .
Registering admin server with the configuration directory server . . .
Updating adm.conf with information from configuration directory server . . .
Updating the configuration for the httpd engine . . .
Error updating console.conf:
Content-type: text/html

NMC_Status: 1
NMC_ErrType: Application Error
NMC_ErrInfo: Attribute[configuration.nsServerAddress] has invalid value
Could not update the httpd engine configuration.
Failed to create and configure the admin server
Exiting . . .
Log file is '/tmp/setupg1ahj0.log'
Comment 8 Yi Zhang 2009-04-13 18:58:11 EDT
test 2: ds.ini has empty value for ServerIpAddress
[admin]
SysUser=                 nobody
Port=                    9830
ServerIpAddress=
ServerAdminID=           admin
ServerAdminPwd=          redhat123



result:
[root@mv64d-vm ~]# setup-ds-admin.pl -s -f ./ds.ini 
Creating directory server . . .
Your new DS instance 'put-you-name-here' was successfully created.
Creating the configuration directory server . . .
Beginning Admin Server creation . . .
Creating Admin Server files and directories . . .
Updating adm.conf . . .
Updating admpw . . .
Registering admin server with the configuration directory server . . .
Updating adm.conf with information from configuration directory server . . .
Updating the configuration for the httpd engine . . .
Starting admin server . . .
The admin server was successfully started.
Admin server was successfully created, configured, and started.
Exiting . . .
Log file is '/tmp/setup2IDPgt.log'
Comment 9 Rich Megginson 2009-04-13 19:20:27 EDT
This looks correct.
Comment 10 Yi Zhang 2009-04-14 12:15:22 EDT
I will perform same test on other RHEL platform as well. If all passed, I will close the bug.

(Thanks Rich)
Comment 11 Yi Zhang 2009-04-14 19:21:23 EDT
Test on RHEL 5 64bit
========  test 1: setup.ini file has wrong ip address ================


Test result:
[root@mv64a-vm ~]# setup-ds-admin.pl -s -f ./sample.ds.ini 
Creating directory server . . .
Your new DS instance 'mv64a-vm' was successfully created.
Creating the configuration directory server . . .
Beginning Admin Server creation . . .
Creating Admin Server files and directories . . .
Updating adm.conf . . .
Updating admpw . . .
Registering admin server with the configuration directory server . . .
Updating adm.conf with information from configuration directory server . . .
Updating the configuration for the httpd engine . . .
Error updating console.conf:
Content-type: text/html

NMC_Status: 1
NMC_ErrType: Application Error
NMC_ErrInfo: Attribute[configuration.nsServerAddress] has invalid value
Could not update the httpd engine configuration.
Failed to create and configure the admin server
Exiting . . .
Log file is '/tmp/setuppcZOIw.log'

===> install failed, test pass



============= test 2 setup.ini has no ip address ==========
setup-ds-admin.pl -s -f ./sample.ds.ini 
Creating directory server . . .
Your new DS instance 'mv64a-vm' was successfully created.
Creating the configuration directory server . . .
Beginning Admin Server creation . . .
Creating Admin Server files and directories . . .
Updating adm.conf . . .
Updating admpw . . .
Registering admin server with the configuration directory server . . .
Updating adm.conf with information from configuration directory server . . .
Updating the configuration for the httpd engine . . .
Starting admin server . . .
The admin server was successfully started.
Admin server was successfully created, configured, and started.
Exiting . . .
Log file is '/tmp/setupZcbxVK.log'

==> install success, test pass


Same test has run on RHEL 5 i386

bug closed
Comment 12 Chandrasekar Kannan 2009-04-29 19:11:59 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0455.html

Note You need to log in before you can comment on or make changes to this bug.